geodesic(6)

NAME
geodesic - animates a mesh geodesic sphere.

SYNOPSIS
geodesic [-display host:display.screen] [-visual visual] [-window] [-root] [-mode mode] [-no-wander] [-no-spin] [-fps] [-delay number] [-speed number] [-count number]

DESCRIPTION
Animates a mesh geodesic sphere of increasing and decreasing complexity. A geodesic sphere is an icosohedron whose equilateral faces are sub-divided into non-equilateral triangles to more closely approximate a sphere. The animation shows the equilateral triangles subdivided into four coplanar equilateral triangles; and then inflated outward, causing the sub-triangles to no longer be equilateral, but to more closely approximate the surface of a sphere.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mode mesh | solid | stellated | stellated2 | wire
    Face/edge display style. Default mesh.

-wander | -no-wander
    Whether the object should wander around the screen.

-spin | -no-spin
    Whether the object should spin.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds).

-speed number
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

-count number
    Depth (frequency) of the geodesic sphere. Default: 4.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2013 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.